### Method

# Template Symbol assign_expr

#### Declaration

    void
    tmpl_symbol_assign_expr (
      TmplSymbol* self,
      TmplExpr* expr,
      GPtrArray* args
    )

#### Description

Sets the symbol as a `TMPL_SYMBOL_EXPR` with the given ordered and named parameters.

This method is not directly available to language bindings.

#### Parameters

`expr`

  Type: `TmplExpr`

  An expression to assign, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`args`

  Type: An array of `utf8`

  A `GPtrArray` of strings.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.